Require Import logic.
Require Import nat.
Require Import relations.
Parameter divides : nat.nat -> nat.nat -> Prop.
Axiom quotient : forall (n:nat.nat), forall (m:nat.nat), forall (q:nat.nat), (logic.eq (nat.nat) m (nat.times n q)) -> divides n m.
Definition reflexive_divides : relations.reflexive (nat.nat) divides := fun (x:nat.nat) => ((((quotient) (x)) (x)) (nat.S nat.O)) (((((((logic.rewrite_r) (nat.nat)) (nat.times x (nat.S nat.O))) (fun (__:nat.nat) => logic.eq (nat.nat) __ (nat.times x (nat.S nat.O)))) (((logic.refl) (nat.nat)) (nat.times x (nat.S nat.O)))) (x)) ((nat.times_n_1) (x))).
