Require Import logic.
Definition reflexive : forall (A:Type), (A -> A -> Prop) -> Prop := fun (A:Type) => fun (R:(A -> A -> Prop)) => forall (x:A), R x x.
Definition commutative : forall (A:Type), (A -> A -> A) -> Prop := fun (A:Type) => fun (f:(A -> A -> A)) => forall (x:A), forall (y:A), logic.eq (A) (f x y) (f y x).
Definition associative : forall (A:Type), (A -> A -> A) -> Prop := fun (A:Type) => fun (f:(A -> A -> A)) => forall (x:A), forall (y:A), forall (z:A), logic.eq (A) (f (f x y) z) (f x (f y z)).
